
Foreman - Bug #20119

Be more descriptive when validating hostname

06/27/2017 06:15 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category: Inventory   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1375591 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4651,

https://github.com/theforeman/foreman/p

ull/4663

  

Description

Currently, we validate hostname with a regular expression. If the regular expression

doesn't match, the host name is considred as invalid, printing an info that

name is invalid. In some environments, it's not that uncommon to include

the '_' in the host name, and it's hard to user to figure out what exactly is wrong with

the name.

The new behaviour should be to explicitly mention that the host can't include

`_`, before using the regular expression.

Associated revisions

Revision 060d2004 - 07/09/2017 06:28 AM - boaz shust

Fixes #20119 - Be more descriptive when validating hostname

Signed-off-by: Boaz Shuster <ripcurld.github@gmail.com>

Revision 657fdc0f - 07/12/2017 06:10 AM - François Cami 

Refs #20119 - Be more descriptive when validating hostname

Explain that this is not Foreman's limitation, but comes from RFCs.

History

#1 - 06/27/2017 06:15 AM - Ivan Necas

- Subject changed from Be more descriptive when validating hostname

 to Be more descriptive when validating hostname

- Target version set to 1.14.2

#2 - 07/06/2017 12:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4651 added

#3 - 07/09/2017 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 060d2004d78676998fc55ba03eab7f0ffcde2859.

#4 - 07/10/2017 04:43 AM - Marek Hulán

- translation missing: en.field_release set to 240
#5 - 07/12/2017 04:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4663 added
